GET
/
api
/
v1
/
prices
/
assets
/
{asset_ref}
/
latest
Get latest asset price
curl --request GET \
  --url http://34.170.194.254:8000/api/v1/prices/assets/{asset_ref}/latest \
  --header 'Authorization: Bearer <token>'
{
  "asset_ref": "<string>",
  "asset_id": "<string>",
  "price": "<string>",
  "quote_currency": "<string>",
  "price_source": "<string>",
  "observed_at": "2023-11-07T05:31:56Z",
  "ingested_at": "2023-11-07T05:31:56Z",
  "is_stale": true,
  "age_seconds": 123,
  "price_observation_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

asset_ref
string
required

Asset reference or code

Response

Latest price for asset

Latest Price Response schema.

asset_ref
string
required

Asset reference or code

asset_id
string
required

Vault asset identifier

price
string
required

Observed asset price

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
quote_currency
string
required

Quote currency code

price_source
string
required

Price source/provider identifier

observed_at
string<date-time>
required

Timestamp when price was observed

ingested_at
string<date-time>
required

Timestamp when price was ingested

is_stale
boolean
required

Whether price is stale relative to freshness policy

age_seconds
integer
required

Age of observation in seconds

price_observation_id
string | null

Vault price observation identifier